com.independentsoft.exchange

## Class SuggestionsViewOptions

- java.lang.Object
- - com.independentsoft.exchange.SuggestionsViewOptions

-     public class SuggestionsViewOptions
      extends java.lang.Object

  Contains the options for obtaining meeting suggestion information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestionsViewOptions()` Initializes a new instance of the SuggestionsViewOptions class.
    `SuggestionsViewOptions(java.util.Date startTime, java.util.Date endTime)` Initializes a new instance of the SuggestionsViewOptions class.
    `SuggestionsViewOptions(java.util.Date startTime, java.util.Date endTime, int meetingDuration)` Initializes a new instance of the SuggestionsViewOptions class.
    `SuggestionsViewOptions(TimeDuration detailedSuggestionsWindow)` Initializes a new instance of the SuggestionsViewOptions class.
    `SuggestionsViewOptions(TimeDuration detailedSuggestionsWindow, int meetingDuration)` Initializes a new instance of the SuggestionsViewOptions class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCurrentMeetingTime()` Gets the start time of a meeting that you want to update with the suggested meeting time results.
    `TimeDuration` | `getDetailedSuggestionsWindow()` Gets the time span that is queried for detailed information about suggested meeting times.
    `java.lang.String` | `getGlobalObjectId()` This element is not used.
    `int` | `getGoodThreshold()` Gets the percentage of attendees that must have the time period open for the time period to qualify as a good suggested meeting time.
    `int` | `getMaximumNonWorkHourResultsByDay()` Gets the number of suggested results for meeting times outside regular working hours per day.
    `int` | `getMaximumResultsByDay()` Gets the number of suggested meeting times per day returned in the response.
    `int` | `getMeetingDuration()` Gets the length of the meeting to be suggested.
    `SuggestionQuality` | `getMinimumSuggestionQuality()` Gets the quality of meeting suggestions to be returned in the response.
    `void` | `setCurrentMeetingTime(java.util.Date currentMeetingTime)` Sets the start time of a meeting that you want to update with the suggested meeting time results.
    `void` | `setDetailedSuggestionsWindow(TimeDuration detailedSuggestionsWindow)` Sets the time span that is queried for detailed information about suggested meeting times.
    `void` | `setGlobalObjectId(java.lang.String globalObjectId)` Sets the global object id.
    `void` | `setGoodThreshold(int goodThreshold)` Sets the percentage of attendees that must have the time period open for the time period to qualify as a good suggested meeting time.
    `void` | `setMaximumNonWorkHourResultsByDay(int maximumNonWorkHourResultsByDay)` Sets the number of suggested results for meeting times outside regular working hours per day.
    `void` | `setMaximumResultsByDay(int maximumResultsByDay)` Sets the number of suggested meeting times per day returned in the response.
    `void` | `setMeetingDuration(int meetingDuration)` Sets the length of the meeting to be suggested.
    `void` | `setMinimumSuggestionQuality(SuggestionQuality minimumSuggestionQuality)` Sets the quality of meeting suggestions to be returned in the response.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionsViewOptions

          public SuggestionsViewOptions()

      Initializes a new instance of the SuggestionsViewOptions class.

    - #### SuggestionsViewOptions

          public SuggestionsViewOptions(TimeDuration detailedSuggestionsWindow)

      Initializes a new instance of the SuggestionsViewOptions class.
      Parameters:
        `detailedSuggestionsWindow` - the detailed suggestions window

    - #### SuggestionsViewOptions

          public SuggestionsViewOptions(TimeDuration detailedSuggestionsWindow,
                                        int meetingDuration)

      Initializes a new instance of the SuggestionsViewOptions class.
      Parameters:
        `detailedSuggestionsWindow` - the detailed suggestions window
        `meetingDuration` - the meeting duration

    - #### SuggestionsViewOptions

          public SuggestionsViewOptions(java.util.Date startTime,
                                        java.util.Date endTime)

      Initializes a new instance of the SuggestionsViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time

    - #### SuggestionsViewOptions

          public SuggestionsViewOptions(java.util.Date startTime,
                                        java.util.Date endTime,
                                        int meetingDuration)

      Initializes a new instance of the SuggestionsViewOptions class.
      Parameters:
        `startTime` - the start time
        `endTime` - the end time
        `meetingDuration` - the meeting duration

  - ### Method Detail

    - #### getDetailedSuggestionsWindow

          public TimeDuration getDetailedSuggestionsWindow()

      Gets the time span that is queried for detailed information about suggested meeting times.
      Returns:
        the detailed suggestions window

    - #### setDetailedSuggestionsWindow

          public void setDetailedSuggestionsWindow(TimeDuration detailedSuggestionsWindow)

      Sets the time span that is queried for detailed information about suggested meeting times.
      Parameters:
        `detailedSuggestionsWindow` - the new detailed suggestions window

    - #### getGoodThreshold

          public int getGoodThreshold()

      Gets the percentage of attendees that must have the time period open for the time period to qualify as a good suggested meeting time.
      Returns:
        the good threshold

    - #### setGoodThreshold

          public void setGoodThreshold(int goodThreshold)

      Sets the percentage of attendees that must have the time period open for the time period to qualify as a good suggested meeting time.
      Parameters:
        `goodThreshold` - the new good threshold

    - #### getMaximumResultsByDay

          public int getMaximumResultsByDay()

      Gets the number of suggested meeting times per day returned in the response.
      Returns:
        the maximum results by day

    - #### setMaximumResultsByDay

          public void setMaximumResultsByDay(int maximumResultsByDay)

      Sets the number of suggested meeting times per day returned in the response.
      Parameters:
        `maximumResultsByDay` - the new maximum results by day

    - #### getMaximumNonWorkHourResultsByDay

          public int getMaximumNonWorkHourResultsByDay()

      Gets the number of suggested results for meeting times outside regular working hours per day.
      Returns:
        the maximum non work hour results by day

    - #### setMaximumNonWorkHourResultsByDay

          public void setMaximumNonWorkHourResultsByDay(int maximumNonWorkHourResultsByDay)

      Sets the number of suggested results for meeting times outside regular working hours per day.
      Parameters:
        `maximumNonWorkHourResultsByDay` - the new maximum non work hour results by day

    - #### getMeetingDuration

          public int getMeetingDuration()

      Gets the length of the meeting to be suggested.
      Returns:
        the meeting duration

    - #### setMeetingDuration

          public void setMeetingDuration(int meetingDuration)

      Sets the length of the meeting to be suggested.
      Parameters:
        `meetingDuration` - the new meeting duration

    - #### getMinimumSuggestionQuality

          public SuggestionQuality getMinimumSuggestionQuality()

      Gets the quality of meeting suggestions to be returned in the response.
      Returns:
        the minimum suggestion quality

    - #### setMinimumSuggestionQuality

          public void setMinimumSuggestionQuality(SuggestionQuality minimumSuggestionQuality)

      Sets the quality of meeting suggestions to be returned in the response.
      Parameters:
        `minimumSuggestionQuality` - the new minimum suggestion quality

    - #### getCurrentMeetingTime

          public java.util.Date getCurrentMeetingTime()

      Gets the start time of a meeting that you want to update with the suggested meeting time results.
      Returns:
        the current meeting time

    - #### setCurrentMeetingTime

          public void setCurrentMeetingTime(java.util.Date currentMeetingTime)

      Sets the start time of a meeting that you want to update with the suggested meeting time results.
      Parameters:
        `currentMeetingTime` - the new current meeting time

    - #### getGlobalObjectId

          public java.lang.String getGlobalObjectId()

      This element is not used.
      Returns:
        the global object id

    - #### setGlobalObjectId

          public void setGlobalObjectId(java.lang.String globalObjectId)

      Sets the global object id.
      Parameters:
        `globalObjectId` - the new global object id